=== modified file 'bzrlib/diff-delta.c'
--- bzrlib/diff-delta.c	2011-05-16 14:26:54 +0000
+++ bzrlib/diff-delta.c	2011-09-30 16:29:17 +0000
@@ -720,6 +720,11 @@
 
     max_num_entries = (src->size - 1)  / RABIN_WINDOW;
 
+    if (!max_num_entries) {
+        *fresh = old_index;
+        return DELTA_OK;
+    }
+
     /* allocate an array to hold whatever entries we find */
     entries = malloc(sizeof(*entry) * max_num_entries);
     if (!entries) /* malloc failure */

